using BBM.ChatGLM.Dtos;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Application.Dtos;

namespace BBM.ChatGLM.User
{
    public interface IUsersAppService
    {
        Task<IdentityUserDto> CreateAsync(UserCreateInput input);
        Task<IdentityUserDto> UpdateAsync(UserUpdateInput input);
        Task<bool> DeleteAsync(GuidIdInput input);
        Task<bool> ResetPasswordAsync(UserResetPasswordInput input);
        Task<PagedResultDto<UserDto>> PageAsync(UserPageInput input);
        Task<List<string>> GetRolesAsync();
        Task<string> GetTokenAsync();

        Task<ImportUsersResult> CreateUsersByExcel([FromForm] IFormFile file);
    }
}
